# Changelog

## [integrations/mongodb_atlas-v1.1.0] - 2025-02-10

### 🚀 Features

- Defer the database connection to when it's needed (#770)
- Add filter_policy to mongodb_atlas integration (#823)

### 🐛 Bug Fixes

- Pass empty dict to filter instead of None (#775)
- `Mongo` - Fallback to default filter policy when deserializing retrievers without the init parameter (#899)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

### ⚙️ CI

- Retry tests to reduce flakyness (#836)
- Adopt uv as installer (#1142)

### 🧹 Chores

- Update ruff invocation to include check parameter (#853)
- Update mongodb test for the new `apply_filter_policy` usage (#971)
- MongoDB - remove legacy filter support (#1066)
- Update ruff linting scripts and settings (#1105)
- Inherit from `FilterDocumentsTestWithDataframe` in Document Stores (#1290)

### 🌀 Miscellaneous

- Add license classifiers (#680)
- Change the pydoc renderer class (#718)
- Install pytest-rerunfailures; change test-cov script (#845)
- Minor retriever pydoc fix (#884)
- Small improvement for resolving connection string (#937)
- Ruff update, don't ruff tests (#991)
- Mongodb keyword search (#1228)

## [integrations/mongodb_atlas-v0.2.1] - 2024-04-09

### 🐛 Bug Fixes

- Fix haystack-ai pin (#649)

### 📚 Documentation

- Disable-class-def (#556)

### 🌀 Miscellaneous

- Refactor tests (#574)
- Remove references to Python 3.7 (#601)
- Make Document Stores initially skip SparseEmbedding (#606)

## [integrations/mongodb_atlas-v0.2.0] - 2024-03-09

### 📚 Documentation

- Mongo atlas (#534)
- Final API docs touches (#538)

### 🌀 Miscellaneous

- Improve example (#546)
- MongoDB Atlas: filters (#542)


## [integrations/mongodb_atlas-v0.1.0] - 2024-02-23

### 🚀 Features

- MongoDBAtlas Document Store (#413)
- `MongoDBAtlasEmbeddingRetriever` (#427)

### 🐛 Bug Fixes

- Remove filters from `MongoDBAtlasDocumentStore.count()` method (#430)
- Fix order of API docs (#447)
- Fix pyproject for mongodbatlas (#478)

### 📚 Documentation

- Update category slug (#442)

### 🌀 Miscellaneous

- Update pyproject.toml (#426)

<!-- generated by git-cliff -->
